This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 206956 - CVE-2006-4484 PHP heap overflow in LWZReadByte
CVE-2006-4484 PHP heap overflow in LWZReadByte
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: Security
Depends On:
Blocks: CVE-2006-4484
  Show dependency treegraph
 
Reported: 2006-09-18 10:21 EDT by Joe Orton
Modified: 2008-02-05 10:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0669
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 06:55:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-09-18 10:21:51 EDT
PHP GIF heap overflow.

Heap buffer overflow in the GD extension, in the LWZReadByte() function,
triggered by invalid GIF files.

http://bugs.php.net/bug.php?id=38112
http://www.php.net/release_5_1_5.php

This issue also affects RHEL3
This issue does not affect RHEL2.1 (GIF support not present)
Comment 4 Red Hat Bugzilla 2006-09-21 06:56:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0669.html

Note You need to log in before you can comment on or make changes to this bug.